osmo_sub_auth_data Struct Reference
GSM/GPRS/3G Authentication

permanent (secret) subscriber auth data More...

`#include <auth.h>`

## Data Fields

enum osmo_sub_auth_type | type
enum osmo_auth_algo | algo
union {
struct {
uint8_t osmo_sub_auth_data::opc [16]
| operator invariant value More...
uint8_t osmo_sub_auth_data::k [16]
| secret key of the subscriber More...
uint8_t osmo_sub_auth_data::amf [2]
uint64_t osmo_sub_auth_data::sqn
| sequence number (in: prev sqn; out: used sqn) More...
int osmo_sub_auth_data::opc_is_op
| is the OPC field OPC (0) or OP (1) ? More...
unsigned int osmo_sub_auth_data::ind_bitlen
| nr of bits not in SEQ, only SQN More...
unsigned int osmo_sub_auth_data::ind
| which IND slot to use an SQN from More...
uint64_t osmo_sub_auth_data::sqn_ms
| sqn from AUTS (output value only) More...
} osmo_sub_auth_data::umts
struct {
uint8_t osmo_sub_auth_data::ki [OSMO_A5_MAX_KEY_LEN_BYTES]
| secret key More...
} osmo_sub_auth_data::gsm
} | u

## Detailed Description

permanent (secret) subscriber auth data

The documentation for this struct was generated from the following file:

- include/osmocom/crypt/auth.h